package client

type TaskOptions struct {
	pullTaskInfoReq     PullTaskInfoReq
	pushTaskInfoReq     PushTaskInfoReq
	pushResourceInfoReq PushResourceInfoReq
}

type Task interface {
	PullTaskInfo(pullTaskInfoReq PullTaskInfoReq) (*PullTaskInfoResp, error)
	PushTaskInfo(pushTaskInfoReq PushTaskInfoReq) (*PushTaskInfoResp, error)
	PushResourceInfo(pushResourceInfoReq PushResourceInfoReq) (*PushResourceInfoResp, error)
}
